In this article:
Stops a running live event.
POST https://{{api-endpoint}}/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Media/mediaservices/{accountName}/liveEvents/{liveEventName}/stop?api-version={api-version}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
accountName |
path | True | string | The RMS account name. |
LiveEventName |
path | True | string |
The name of the live event, maximum length is 32. Regex pattern: |
resourceGroupName |
path | True | string | The name of the resource group within the Azure subscription. |
subscriptionId |
path | True | string | The unique identifier for a Microsoft Azure subscription. |
api-version |
query | True: value can be any. | string |
The version of the API to be used with the client request. Required for compatibility; any value accepted; no effect. |
Request body
| Name | Type | Description |
|---|---|---|
| removeOutputsOnStop | boolean |
[No-op in RMS] This parameter indicates that the live streaming node is preserved by the AMS until the live streaming record has been successfully copied to the asset archiving system. Following this process, it was necessary to request a new streaming link in order to stream the live archive as Video on Demand (VOD). In RMS, |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted | LiveEvent | Accepted. The request has been accepted for processing and the operation will complete asynchronously. See https://go.microsoft.com/fwlink/?linkid=2087017 for details on monitoring asynchronous Azure operations using the Azure-AsyncOperation response header. |
| Other Status Codes | ErrorResponse | Detailed error information. |
Examples
Stop a live event.
Sample Request
POST https://{{api-endpoint}}/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mediaresources/providers/Microsoft.Media/mediaservices/slitestmedia10/liveEvents/myLiveEvent1/stop?api-version=2022-11-01
Sample response
Status code: 202
Definitions
| Name | Description |
|---|---|
| ErrorAdditionalInfo | The resource management error additional info. |
| ErrorDetail | The error detail. |
| ErrorResponse | Error response. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info | object | The additional info. |
| type | string | The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo | ErrorAdditionalInfo | The error additional info. |
| code | string | The error code. |
| details | ErrorDetail | The error details. |
| message | string | The error message. |
| target | string | The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error | ErrorDetail | The error object. |